Mail archive
alpine-devel

[alpine-devel] apk-tools problem

From: Natanael Copa <natanael.copa_at_gmail.com>
Date: Tue, 10 Mar 2009 19:00:31 +0100

Timo,

I have moved libgcc_s.so to a separate package, libgcc and added this as
a dependency to the main gcc package.

When i try to upgrade i get this:


Installing libgcc (4.3.3-r1)
ERROR: libgcc: Trying to overwrite usr/lib/libgcc_s.so owned by gcc.

ERROR: Failed to commit changes

Looks like we need "replaces" or similar. Not sure how to implement that
though.

-nc



---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Mar 10 2009 - 19:00:31 GMT